Description

The desired sequence of actions is:

    -  rsb::Factory constructor
        1. reads config file and environment variable
            -  config file syntax is ini files with sections per connector implementation
        2. builds its default ParticipantConfig using the configuration file

Afterwards no more file parsing is required and the parser instance can b removed.

Defaults for each connector are hard-coded in the connectors and not part of a configuration class. The parser for ini files should
either come from boost (if existing) or be part of RSC. Also the file + environment merging algorithm of options should be implemented
there.

Associated revisions
Revision 1c50eab3 - 05/01/2011 12:25 AM - J. Moringen
Made ParticipantConfig class configurable via the new rsc::config facility
refs #268
    -  CMakeLists.txt: added dependency on Boost.Filesystem which is used

  for reading of configuration files
    -  src/rsb/ParticipantConfig.{h,cpp}: changed transport storage to

  std::map; added getTransport; added configuration methods fromFile,
  fromEnvironment and fromConfiguration; simplified implementation of
  operator<<

Revision 07e3230b - 05/01/2011 12:28 AM - J. Moringen
Made ParticipantConfig a friend of QualityOfServiceSpec
refs #268
    -  src/rsb/QualityOfServiceSpec.h: ParticipantConfig has to be a friend

  of QualityOfServiceSpec to manipulate its data members when loading
  configurations

Revision 78e96c89 - 05/01/2011 12:55 AM - J. Moringen
Specify env var prefix in src/rsb/ParticipantConfig.cpp
refs #268
    -  src/rsb/ParticipantConfig.cpp: explicitly specify RSB_ prefix in

  EnvironmentVariableSource

Revision cc8b331c - 05/01/2011 01:46 AM - J. Moringen
Use configuration capability of ParticipantConfig in Factory
refs #268
    -  src/rsb/Factory.{h,cpp}: retrieve default ParticipantConfig from

  configuration sources
    -  src/rsb/transport/spread/SpreadConnection.cpp: defaults are now

  hard-coded; old configuration mechanism is no longer used
    -  src/rsb/transport/spread/SpreadConnector.{h,cpp}: removed one

  constructor

Revision 92d1537b - 05/01/2011 01:57 AM - J. Moringen
Removed old configuration system in src/rsb/util/*
fixes #268
    -  src/CMakeLists.txt: removed files in src/rsb/util
    -  src/rsb/util/ConfigException.{h,cpp}: removed; old configuration

  system is no longer used
    -  src/rsb/util/Configuration.{h,cpp}: likewise
    -  src/rsb/transport/spread/SpreadConnection.cpp: removed dependency on

  src/rsb/util/Configuration.h

History
#1 - 04/30/2011 01:47 PM - J. Wienke
- Assignee set to J. Moringen

#2 - 05/01/2011 01:58 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r734.
